Bug 1032321 - RFE: Client error message Incorrect username/password should be replaced with Incorrect username/apikey
RFE: Client error message Incorrect username/password should be replaced with...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 19:55 EST by Ding-Yi Chen
Modified: 2015-07-28 22:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 22:11:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-11-19 19:55:45 EST
Description of problem:
Clients do not use password in most cases, instead, they use apikey.
And error message should ask for correct apikey instead
of password

Version-Release number of selected component (if applicable):
org.zanata:zanata-maven-plugin:3.1.2:

How reproducible:
Always

Steps to Reproduce:
1. mvn -e zanata:push -Dzanata.user=NotExists

Actual results:
[ERROR] Failed to execute goal org.zanata:zanata-maven-plugin:3.1.2:push (default-cli) on project standalone-pom: Zanata mojo exception: Incorrect username/password -> [Help 1]


Expected results:
[ERROR] Failed to execute goal org.zanata:zanata-maven-plugin:3.1.2:push (default-cli) on project standalone-pom: Zanata mojo exception: Incorrect username/apikey -> [Help 1]


Additional info:
Comment 1 Ding-Yi Chen 2015-03-22 22:57:33 EDT
Even if -Dzanata.disableSSLCert is specified, it returned like.


[WARNING] SSL certificate verification will be disabled. You should consider adding the certificate instead of disabling it.
[WARNING] exception processing request
javax.net.ssl.SSLPeerUnverifiedException: peer not authenticated

[ERROR] Failed to execute goal org.zanata:zanata-maven-plugin:3.4.2:push (default-cli) on project standalone-pom: Zanata mojo exception: IOException: peer not authenticated -> [Help 1]

It would be more straight forward and less confusing if the error message is
Incorrect username/apikey
Comment 2 Zanata Migrator 2015-07-28 22:11:49 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-150

Note You need to log in before you can comment on or make changes to this bug.